import request from '@/utils/request'

// 查询营销活动推送列表
export function listPush(query) {
  return request({
    url: '/push/push/list',
    method: 'get',
    params: query
  })
}

// 查询营销活动推送详细
export function getPush(id) {
  return request({
    url: '/push/push/' + id,
    method: 'get'
  })
}

// 新增营销活动推送
export function addPush(data) {
  return request({
    url: '/push/push',
    method: 'post',
    data: data
  })
}

// 修改营销活动推送
export function updatePush(data) {
  return request({
    url: '/push/push',
    method: 'put',
    data: data
  })
}

// 删除营销活动推送
export function delPush(id) {
  return request({
    url: '/push/push/' + id,
    method: 'delete'
  })
}

// 导出营销活动推送
export function exportPush(query) {
  return request({
    url: '/push/push/export',
    method: 'get',
    params: query
  })
}